﻿using System;
using System.Collections.Generic;
using System.Text;
using CafeTerrace.Models.DataBase;

namespace CafeTerrace.Models.Api
{
    public class OrderFoodProfile
    {
        public string FoodId { get; set; }
        public string OrderId { get; set; }
        public int CountFood { get; set; }
        public bool ServiceNow { get; set; }

        public Int64 CountAmount
        {
            get { return CountFood * Food.Price[0].FinalAmount; }
        }

        public virtual FoodProfile Food { get; set; }
        public virtual DataBase.Order Order { get; set; }
    }
}
