﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Xamarin.Forms;

namespace CafeTerrace.Models.DataBase
{
    public class Category
    {
        public string CategoryId { get; set; }
        public string CategoryName { get; set; }
        public string CategoryImage { get; set; }
        public bool IsEnable { get; set; }
        public int Priority { get; set; }
        public string ParentCategoryId { get; set; }
        public ICollection<FoodCategory> FoodCategories { get; set; }
        public virtual Category Parent { get; set; }
        public virtual List<Category> Categories { get; set; }
        public ImageSource ImageBase64
        {
            get { return CategoryImage; }

        }

        public bool DontShow
        {
            get { return !IsEnable; }
        }

    }
}
