﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CafeTerrace.Models
{
    public static class Address
    {
        public static string BaseHost { get; } = "http://192.168.1.65";
        //public static string BaseHost { get; } = "http://10.0.3.2/cafeterrace";
        public static string BaseAddress
        {
            get { return $"{BaseHost}/api/v1/"; }
        }
        private static string Account
        {
            get { return "Account/"; }
        }

        public static string SignUp
        {
            get { return Account + "RegisterCustomer"; }
        }

        public static string Login
        {
            get { return Account + "Login"; }
        }

        public static string GetCategories
        {
            get { return "Category/GetAllCategory"; }
        }
        public static string GetAllSybCategories
        {
            get { return "Category/GetAllSubCategory"; }
        }

        public static string GetFoodCategory
        {
            get { return "Food/GetAllFoodForCategory"; }
        }
        public static string GetFoodById
        {
            get { return "Food/GetFoodByIdForCustomer"; }
        }

        public static string HomeMobile
        {
            get { return "Home/HomeMobile"; }
        }
        public static string GetUserProfile
        {
            get { return "User/Getprofileuser"; }
        }

        public static string CheckOffer
        {
            get { return "Discount/CheckDiscount"; }
        }

        public static string CreateOrder
        {
            get { return "Order/CreateOrderForCustomer"; }
        }

        public static string AddComment
        {
            get { return "Rate/CreateRate"; }
        }

        public static string EditUser { get; } = "User/EditUser";
        public static string AddBirthDate { get; } = "User/CreateBirthDate";
        public static string GetJobs { get; } = "Job/GetAllJob";
        public static string DeleteBirthDate { get; } = "User/DeleteBirthDate";
    }
}
