﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;

namespace CafeTerrace.Models.DataBase
{
    public class UserBirthDate
    {

        public int Id { get; set; }
        public DateTime BirthDate { get; set; }
        public string BirthDateString { get; set; }
        public string Detail { get; set; }

        public string PersianDate
        {
            get
            {
                PersianCalendar pc = new PersianCalendar();
                return string.Format("{0}/{1}/{2}", pc.GetYear(BirthDate), pc.GetMonth(BirthDate), pc.GetDayOfMonth(BirthDate));
            }
        }
        public int UserId { get; set; }
        public User User { get; set; }
    }
}
